rte_port_eventdev_writer_nodrop_params(3)

NAME
rte_port_eventdev_writer_nodrop_params

SYNOPSIS

#include <rte_port_eventdev.h>

  Data Fields

uint8_t eventdev_id
uint16_t port_id
uint16_t queue_id
uint32_t enq_burst_sz
uint8_t sched_type
uint8_t evt_op
uint32_t n_retries

Detailed Description

Event_writer_nodrop port parameters.

Definition at line 64 of file rte_port_eventdev.h.

Field Documentation

  uint8_t eventdev_id
Eventdev Device ID.

Definition at line 66 of file rte_port_eventdev.h.

  uint16_t port_id
Eventdev Port ID.

Definition at line 69 of file rte_port_eventdev.h.

  uint16_t queue_id
Eventdev Queue ID.

Definition at line 72 of file rte_port_eventdev.h.

  uint32_t enq_burst_sz
Burst size to eventdev interface.

Definition at line 75 of file rte_port_eventdev.h.

  uint8_t sched_type
Scheduler synchronization type (RTE_SCHED_TYPE_*)

Definition at line 78 of file rte_port_eventdev.h.

  uint8_t evt_op
The type of eventdev enqueue operation - new/forward/release

Definition at line 81 of file rte_port_eventdev.h.

  uint32_t n_retries
Maximum number of retries, 0 for no limit.

Definition at line 84 of file rte_port_eventdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.